OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | List of all members
LLVMType< ArgType< T, S > > Struct Template Reference

`#include <openvdb_ax/codegen/FunctionTypes.h>`

Inheritance diagram for LLVMType< ArgType< T, S > >:

## Public Types
using | LLVMTypeT = LLVMType< T >

## Static Public Member Functions
static llvm::Type * | get (llvm::LLVMContext &C)
static llvm::Constant * | get (llvm::LLVMContext &C, const ArgType< T, S > &value)
static llvm::Constant * | get (llvm::LLVMContext &C, const ArgType< T, S > *const value)

## Member Typedef Documentation

## ◆ LLVMTypeT

using LLVMTypeT = LLVMType<T >
| inherited

## Member Function Documentation

## ◆ get() [1/3]

static llvm::Type * get | ( | llvm::LLVMContext & | C | ) |
| inline static inherited

## ◆ get() [2/3]

static llvm::Constant * get | ( | llvm::LLVMContext & | C,
|  | const ArgType< T, S > & | value
| ) |  |
| inline static inherited

## ◆ get() [3/3]

static llvm::Constant * get | ( | llvm::LLVMContext & | C,
|  | const ArgType< T, S > *const | value
| ) |  |
| inline static inherited